#
# spec file for package perl-Config-AutoConf
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Config-AutoConf
Version:        0.22
Release:        8.3
%define cpan_name Config-AutoConf
Summary:        A module to implement some of AutoConf macros in pure perl
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Config-AutoConf/
Source:         http://www.cpan.org/authors/id/A/AM/AMBS/Config/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.23
#BuildRequires: perl(Config::AutoConf)
Requires:       perl(Capture::Tiny)
Requires:       perl(ExtUtils::CBuilder) >= 0.23
%{perl_requires}

%description
A module to implement some of AutoConf macros in pure perl.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Jun  3 2013 coolo@suse.com
- updated to 0.22
  - Flag some more tests as TODO.
  - Flag -lm tests as 'TODO' as they might fail in some Windows
    machines
  - Add stdint.h into check_default_headers
  - Make POD tests author only.
* Tue Feb 21 2012 coolo@suse.com
- initial package 0.19
  * created by cpanspec 1.78.06
